## WebKitDOMDOMSelection

WebKitDOMDOMSelection

## Functions

void | webkit_dom_dom_selection_collapse ()
void | webkit_dom_dom_selection_collapse_to_end ()
void | webkit_dom_dom_selection_collapse_to_start ()
void | webkit_dom_dom_selection_delete_from_document ()
gboolean | webkit_dom_dom_selection_contains_node ()
void | webkit_dom_dom_selection_select_all_children ()
void | webkit_dom_dom_selection_extend ()
WebKitDOMRange * | webkit_dom_dom_selection_get_range_at ()
void | webkit_dom_dom_selection_remove_all_ranges ()
void | webkit_dom_dom_selection_add_range ()
void | webkit_dom_dom_selection_modify ()
void | webkit_dom_dom_selection_set_base_and_extent ()
void | webkit_dom_dom_selection_set_position ()
void | webkit_dom_dom_selection_empty ()
WebKitDOMNode * | webkit_dom_dom_selection_get_anchor_node ()
glong | webkit_dom_dom_selection_get_anchor_offset ()
WebKitDOMNode * | webkit_dom_dom_selection_get_focus_node ()
glong | webkit_dom_dom_selection_get_focus_offset ()
gboolean | webkit_dom_dom_selection_get_is_collapsed ()
glong | webkit_dom_dom_selection_get_range_count ()
WebKitDOMNode * | webkit_dom_dom_selection_get_base_node ()
glong | webkit_dom_dom_selection_get_base_offset ()
WebKitDOMNode * | webkit_dom_dom_selection_get_extent_node ()
glong | webkit_dom_dom_selection_get_extent_offset ()

## Properties

WebKitDOMNode * | anchor-node | Read
glong | anchor-offset | Read
WebKitDOMNode * | base-node | Read
glong | base-offset | Read
WebKitDOMNode * | extent-node | Read
glong | extent-offset | Read
WebKitDOMNode * | focus-node | Read
glong | focus-offset | Read
gboolean | is-collapsed | Read
glong | range-count | Read
gchar * | type | Read

## Types and Values

| WebKitDOMDOMSelection

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMDOMSelection

## Description

## Functions

### webkit_dom_dom_selection_collapse ()

    void
    webkit_dom_dom_selection_collapse (WebKitDOMDOMSelection *self,
                                       WebKitDOMNode *node,
                                       glong index,
                                       GError **error);

#### Parameters

self | A WebKitDOMDOMSelection |
node | A WebKitDOMNode |
index | A glong |
error | GError |

### webkit_dom_dom_selection_collapse_to_end ()

    void
    webkit_dom_dom_selection_collapse_to_end
                                   (WebKitDOMDOMSelection *self,
                                    GError **error);

#### Parameters

self | A WebKitDOMDOMSelection |
error | GError |

### webkit_dom_dom_selection_collapse_to_start ()

    void
    webkit_dom_dom_selection_collapse_to_start
                                   (WebKitDOMDOMSelection *self,
                                    GError **error);

#### Parameters

self | A WebKitDOMDOMSelection |
error | GError |

### webkit_dom_dom_selection_delete_from_document ()

    void
    webkit_dom_dom_selection_delete_from_document
                                   (WebKitDOMDOMSelection *self);

#### Parameters

self | A WebKitDOMDOMSelection |

### webkit_dom_dom_selection_contains_node ()

    gboolean
    webkit_dom_dom_selection_contains_node
                                   (WebKitDOMDOMSelection *self,
                                    WebKitDOMNode *node,
                                    gboolean allowPartial);

#### Parameters

self | A WebKitDOMDOMSelection |
node | A WebKitDOMNode |
allowPartial | A gboolean |

#### Returns

A gboolean

### webkit_dom_dom_selection_select_all_children ()

    void
    webkit_dom_dom_selection_select_all_children
                                   (WebKitDOMDOMSelection *self,
                                    WebKitDOMNode *node,
                                    GError **error);

#### Parameters

self | A WebKitDOMDOMSelection |
node | A WebKitDOMNode |
error | GError |

### webkit_dom_dom_selection_extend ()

    void
    webkit_dom_dom_selection_extend (WebKitDOMDOMSelection *self,
                                     WebKitDOMNode *node,
                                     glong offset,
                                     GError **error);

#### Parameters

self | A WebKitDOMDOMSelection |
node | A WebKitDOMNode |
offset | A glong |
error | GError |

### webkit_dom_dom_selection_get_range_at ()

    WebKitDOMRange *
    webkit_dom_dom_selection_get_range_at (WebKitDOMDOMSelection *self,
                                           glong index,
                                           GError **error);

#### Parameters

self | A WebKitDOMDOMSelection |
index | A glong |
error | GError |

#### Returns

A WebKitDOMRange.

[transfer none]

### webkit_dom_dom_selection_remove_all_ranges ()

    void
    webkit_dom_dom_selection_remove_all_ranges
                                   (WebKitDOMDOMSelection *self);

#### Parameters

self | A WebKitDOMDOMSelection |

### webkit_dom_dom_selection_add_range ()

    void
    webkit_dom_dom_selection_add_range (WebKitDOMDOMSelection *self,
                                        WebKitDOMRange *range);

#### Parameters

self | A WebKitDOMDOMSelection |
range | A WebKitDOMRange |

### webkit_dom_dom_selection_modify ()

    void
    webkit_dom_dom_selection_modify (WebKitDOMDOMSelection *self,
                                     const gchar *alter,
                                     const gchar *direction,
                                     const gchar *granularity);

#### Parameters

self | A WebKitDOMDOMSelection |
alter | A gchar |
direction | A gchar |
granularity | A gchar |

### webkit_dom_dom_selection_set_base_and_extent ()

    void
    webkit_dom_dom_selection_set_base_and_extent
                                   (WebKitDOMDOMSelection *self,
                                    WebKitDOMNode *baseNode,
                                    glong baseOffset,
                                    WebKitDOMNode *extentNode,
                                    glong extentOffset,
                                    GError **error);

#### Parameters

self | A WebKitDOMDOMSelection |
baseNode | A WebKitDOMNode |
baseOffset | A glong |
extentNode | A WebKitDOMNode |
extentOffset | A glong |
error | GError |

### webkit_dom_dom_selection_set_position ()

    void
    webkit_dom_dom_selection_set_position (WebKitDOMDOMSelection *self,
                                           WebKitDOMNode *node,
                                           glong offset,
                                           GError **error);

#### Parameters

self | A WebKitDOMDOMSelection |
node | A WebKitDOMNode |
offset | A glong |
error | GError |

### webkit_dom_dom_selection_empty ()

    void
    webkit_dom_dom_selection_empty (WebKitDOMDOMSelection *self);

#### Parameters

self | A WebKitDOMDOMSelection |

### webkit_dom_dom_selection_get_anchor_node ()

    WebKitDOMNode *
    webkit_dom_dom_selection_get_anchor_node
                                   (WebKitDOMDOMSelection *self);

#### Parameters

self | A WebKitDOMDOMSelection |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_dom_selection_get_anchor_offset ()

    glong
    webkit_dom_dom_selection_get_anchor_offset
                                   (WebKitDOMDOMSelection *self);

#### Parameters

self | A WebKitDOMDOMSelection |

#### Returns

A glong

### webkit_dom_dom_selection_get_focus_node ()

    WebKitDOMNode *
    webkit_dom_dom_selection_get_focus_node
                                   (WebKitDOMDOMSelection *self);

#### Parameters

self | A WebKitDOMDOMSelection |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_dom_selection_get_focus_offset ()

    glong
    webkit_dom_dom_selection_get_focus_offset
                                   (WebKitDOMDOMSelection *self);

#### Parameters

self | A WebKitDOMDOMSelection |

#### Returns

A glong

### webkit_dom_dom_selection_get_is_collapsed ()

    gboolean
    webkit_dom_dom_selection_get_is_collapsed
                                   (WebKitDOMDOMSelection *self);

#### Parameters

self | A WebKitDOMDOMSelection |

#### Returns

A gboolean

### webkit_dom_dom_selection_get_range_count ()

    glong
    webkit_dom_dom_selection_get_range_count
                                   (WebKitDOMDOMSelection *self);

#### Parameters

self | A WebKitDOMDOMSelection |

#### Returns

A glong

### webkit_dom_dom_selection_get_base_node ()

    WebKitDOMNode *
    webkit_dom_dom_selection_get_base_node
                                   (WebKitDOMDOMSelection *self);

#### Parameters

self | A WebKitDOMDOMSelection |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_dom_selection_get_base_offset ()

    glong
    webkit_dom_dom_selection_get_base_offset
                                   (WebKitDOMDOMSelection *self);

#### Parameters

self | A WebKitDOMDOMSelection |

#### Returns

A glong

### webkit_dom_dom_selection_get_extent_node ()

    WebKitDOMNode *
    webkit_dom_dom_selection_get_extent_node
                                   (WebKitDOMDOMSelection *self);

#### Parameters

self | A WebKitDOMDOMSelection |

#### Returns

A WebKitDOMNode.

[transfer none]

### webkit_dom_dom_selection_get_extent_offset ()

    glong
    webkit_dom_dom_selection_get_extent_offset
                                   (WebKitDOMDOMSelection *self);

#### Parameters

self | A WebKitDOMDOMSelection |

#### Returns

A glong

## Types and Values

### WebKitDOMDOMSelection

    typedef struct _WebKitDOMDOMSelection WebKitDOMDOMSelection;

## Property Details

### The `“anchor-node”` property

      “anchor-node”              WebKitDOMNode *

read-only WebKitDOMNode* DOMSelection:anchor-node.

Flags: Read

### The `“anchor-offset”` property

      “anchor-offset”            glong

read-only glong DOMSelection:anchor-offset.

Flags: Read

Default value: 0

### The `“base-node”` property

      “base-node”                WebKitDOMNode *

read-only WebKitDOMNode* DOMSelection:base-node.

Flags: Read

### The `“base-offset”` property

      “base-offset”              glong

read-only glong DOMSelection:base-offset.

Flags: Read

Default value: 0

### The `“extent-node”` property

      “extent-node”              WebKitDOMNode *

read-only WebKitDOMNode* DOMSelection:extent-node.

Flags: Read

### The `“extent-offset”` property

      “extent-offset”            glong

read-only glong DOMSelection:extent-offset.

Flags: Read

Default value: 0

### The `“focus-node”` property

      “focus-node”               WebKitDOMNode *

read-only WebKitDOMNode* DOMSelection:focus-node.

Flags: Read

### The `“focus-offset”` property

      “focus-offset”             glong

read-only glong DOMSelection:focus-offset.

Flags: Read

Default value: 0

### The `“is-collapsed”` property

      “is-collapsed”             gboolean

read-only gboolean DOMSelection:is-collapsed.

Flags: Read

Default value: FALSE

### The `“range-count”` property

      “range-count”              glong

read-only glong DOMSelection:range-count.

Flags: Read

Default value: 0

### The `“type”` property

      “type”                     gchar *

read-only gchar* DOMSelection:type.

Flags: Read

Default value: ""